/* Single posts navigation styles - begin
    ====================================================================== */

.mkdf-blog-single-navigation {
    position: relative;
    display: table;
    width: 100%;
    vertical-align: middle;
    padding: 0;
    clear: both;
    box-sizing: border-box;

    .mkdf-blog-single-navigation-inner {
        margin: 0 0 52px 0;
    }

    .mkdf-blog-single-prev,
    .mkdf-blog-single-next {

        color: $default-text-color;

        .mkdf-blog-single-nav-mark {
            font-size: 48px;
            line-height: inherit;
            color: inherit;

            &:before {
                display: block;
                line-height: inherit;
            }
        }

        .mkdf-blog-single-nav-label {
            font-size: 14px;
            color: $default-heading-color;
            font-weight: 600;
        }

        &:hover {
            color: $first-main-color;
        }

        div {
            display: table-cell;
            vertical-align: middle;
        }

        .mkdf-blog-single-nav-title {
            margin: 0;
            font-size: 14px;
            font-weight: 400;
            color: $default-text-color;
            font-family: $default-text-font;
        }
    }

    .mkdf-blog-single-prev {
        float: left;

        .mkdf-blog-single-nav-mark,
        .mkdf-blog-single-nav-label {

        }

        .mkdf-blog-single-nav-mark {
            margin: 0 14px 0 0;
        }

        div {
            padding-right: 25px;
        }
    }

    .mkdf-blog-single-next {
        float: right;

        .mkdf-blog-single-nav-mark,
        .mkdf-blog-single-nav-label {

        }

        .mkdf-blog-single-nav-mark {
            margin: 0 0 0 14px;
        }

        div {
            float: right;
            padding-left: 25px;
            text-align: right;
        }

        .mkdf-nav-blog-post-label-wrapper {
            position: absolute;
            right: 103px;
            top: 50%;
            @include mkdfTransform(translateY(-50%));
        }
        &.mkdf-no-nav-image {
            .mkdf-nav-blog-post-label-wrapper {
                right: 0;
            }
        }
    }

    .mkdf-nav-image {
        display: block;
        width: 78px;
        height: 78px;
    }
}

.mkdf-single-links-pages {
    clear: both;
    margin: 20px 0 5px;

    .mkdf-single-links-pages-inner {

        > a,
        > span {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            margin: 0 15px 5px 0;
        }
    }
}
/* Single posts navigation styles - end
    ====================================================================== */